Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.io
[Java] Class PlatformLineWriter

    java.lang.Object
      java.io.Writer
          groovy.io.PlatformLineWriter

    public class PlatformLineWriter
    extends Writer

A buffered writer that gobbles any \r characters and replaces every \n with a platform specific newline. In many places Groovy normalises streams to only have \n characters but when creating files that must be used by other platform-aware tools, you sometimes want the newlines to match what the platform expects.

Authors:
  Paul King

Constructor Summary
`PlatformLineWriter(Writer out)`
`PlatformLineWriter(Writer out, int sz)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] cbuf, int off, int len)`

Methods inherited from class Writer
append, append, append, append, append, append, write, write, write, write, write, flush, close, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### PlatformLineWriter

    public PlatformLineWriter(Writer out)

### PlatformLineWriter

    public PlatformLineWriter(Writer out, int sz)

Method Detail

### close

    public void close()

### flush

    public void flush()

### write

    public void write(char[] cbuf, int off, int len)

Copyright © 2003-2010 The Codehaus. All rights reserved.